import { NodeInterface } from '@ctoweb/engine';
declare type codeblockSelectOptions = {
    modeDatas: Array<{
        value: string;
        syntax: string;
        name: string;
    }>;
    defaultValue: string;
    onSelect?: (value: string) => void;
};
declare class codeblockSelect {
    content?: NodeInterface;
    options: codeblockSelectOptions;
    constructor(options: codeblockSelectOptions);
    render(): NodeInterface;
    renderOptions(optionsArr: Array<{
        value: string;
        syntax: string;
        name: string;
    }>, defaultValue: string): string;
}
export default codeblockSelect;
